using System;
using System.Web.UI;
using Telerik.Reporting;

public partial class ReportViewer : Page
{   
    
	protected void Page_Load(object sender, EventArgs e)
	{        	    
        string reportName = Server.UrlDecode(this.Request.QueryString["ReportName"]);
	    
	    if (!string.IsNullOrEmpty(reportName))
        {
            Type reportType = Type.GetType(reportName);
            IReportDocument report = (IReportDocument)Activator.CreateInstance(reportType);
            this.ReportViewer1.Report = report;
            this.Page.Title = "telerik Report Viewer - " + reportType.Name;
        }	    
	}   
}
